API DocumentationOrders

Update order kanban column

PATCH
/api/manufacturer/v1/order/{id}/kanban-column

Moves an order to a different kanban column. Optional skipAutomationTypes field suppresses the named column automations for this request only.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

id*integer

ID of the order to update

Formatint64

Request Body

application/json
  1. body

Kanban column details

kanbanColumnId*string
Formatuuid
kanbanColumnAutomationRequests*array<>
skipAutomationTypes?array<string>

Response Body

Kanban column successfully updated

curl -X PATCH 'https://m-api.eu.phas.io/api/manufacturer/v1/order/1/kanban-column' \  -H 'Content-Type: application/json' \  -d '{  "kanbanColumnId": "27499dc2-5b09-4761-a653-1ede87308d6b",  "kanbanColumnAutomationRequests": [    {      "type": "string"    }  ]}'
Empty